Problem after upgrading from ubuntu 18 to ubuntu20

Hi,
I am using Jetson Xavier NX. I need ROS2, so I upgraded ubuntu 18.04 to ubuntu 20.04. Unfortunately, after completing the task, I always get the warning when booting:

Error found when loading /etc/profile
warning: lavapipe is not a conformant vulkan implementation, testing use only.

It is really annoying.
Will you please help me to solve the problem?

Thank you.

Hi @lyping224, you may run into GPU/CUDA issues with dist-upgrade to 20.04. I would recommend re-flashing your SD card with JetPack and using these ROS2 containers for 18.04:

Hi, dusty_nv, thank you for your kind reply.

I am sorry that I am just learning robotics with NVIDIA Jetsons and my question may sound silly.

Could I develop applications in the container environment you mentioned and also run them in the same container? Or I could only run the ROS2 programs in it and have to build the ROS2 apps with IDE like VSCode somewhere else?

I want to develop and run programs in the same Jetson Xavier NX if possible. Could I find a way to get rid of the annoying warnings by modifying some configuration files?

Thank you.